[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# StartOfTheWeek

Return the first day of the week, given a date.

## Declaration

Source position: dateutil.inc line 166

`function StartOfTheWeek(`
`const AValue: TDateTime`
`):TDateTime;`

## Arguments

`AValue` |  | Day in the week.

## Function result

First day of the week, in TDateTime format.

## Description

StartOfTheWeek extracts the year and week parts of AValue and returns a TDateTime value with the date of the first day of that week as the StartOfAWeek function.

## See also

StartOfAWeek |  | Return a day of the week, given a year, week and day in the week.
EndOfTheWeek |  | Calculate a TDateTime value which represents the end of a week, given a date in that week.
EndOfAWeek |  | Return the last moment of day of the week, given a year and a week in the year.
StartOfAMonth |  | Return first date of month, given a year/month pair.
EndOfTheYear |  | Calculate a TDateTime value representing the last day of a year, given a date in that year.
EndOfAYear |  | Calculate a TDateTime value representing the last day of a year
EndOfTheMonth |  | Calculate a TDateTime value representing the last day of the month, given a day in that month.
EndOfAMonth |  | Calculate a TDateTime value representing the last day of the indicated month

## Example

    Program Example32;

    { This program demonstrates the StartOfTheWeek function }

    Uses SysUtils,DateUtils;

    Const
      Fmt = '"First day of this week : "dd mmmm yyyy';

    Begin
      Writeln(FormatDateTime(Fmt,StartOfTheWeek(Today)));
    End.